function [nt inter] = cbs_normalize(tmin, tmax, npts, t)
%cbs_normalize Compute normalized values.
%
% [nt] = cbs_normalize(tmin, tmax, npts, t)
% [nt inter] = cbs_normalize(tmin, tmax, npts, t)
%
% Normalize the values in t according to the parameters tmin, tmax and
% npts. This function can also gives the interval number to which belongs
% the value t.
%
% INPUT ARGUMENTS
%
%   tmin, tmax [scalars]: definition range of a b-spline along one
%   direction.
%
%   npts [scalar]: number of control point along the considered direction.
%
%   t [matrix]: values to be normalized.
%
% OUTPUT ARGUMENTS
%
%   nt [matrix]: normalized values (between 0 and 1). size(nt) = size(t).
%
%   inter [matrix]: interval number to which belongs t. The first interval
%   is numbered 0. It can be negative (or greater that the last valid
%   number) in case of extrapolation.
%
% NOTE
%  CBS is partly based on the original source code of BBS.
%
% (c)2011, Florent Brunet.

% This file is part of CBS.
%
% CBS is free software: you can redistribute it and/or modify
% it under the terms of the GNU General Public License as published by
% the Free Software Foundation, either version 3 of the License, or
% (at your option) any later version.
%
% CBS is distributed in the hope that it will be useful,
% but WITHOUT ANY WARRANTY; without even the implied warranty of
% MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
% GNU General Public License for more details.
%
% You should have received a copy of the GNU General Public License
% along with CBS.  If not, see <http://www.gnu.org/licenses/>.
